Name: pango
Summary: Text layout and rendring
Version: 1.8.2
Release: 2tr
License: LGPL
Group: Trustix Official
Source: ftp://ftp.gtk.org/pub/gtk/v2.2/pango-%{version}.tar.bz2
Patch: pango-1.2.5-fixfreetype.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.gtk.org
Requires: glib >= 2.5.7 freetype
BuildRequires: glib-devel >= 2.5.7
BuildRequires: gcc-c++-devel freetype-devel

%description
Pango is a library for layout and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout
is needed; however, most of the work on Pango-1.0 was done using the
GTK+ widget toolkit as a test platform. Pango forms the core of text
and font handling for GTK+-2.0.

%package devel
Summary: Header, docs and development libraries for atk.
Group: Trustix Official
Requires: %{name} = %{version} freetype-devel
Requires: glib-devel >= 2.5.7

%description devel
Header, docs and development libraries for atk.

%prep
%setup -q
#%patch -p1

%build
export PKG_CONFIG_PATH="/usr/X11R6/lib/pkgconfig/:%{_libdir}/pkgconfig/" \
%configure --disable-gtk-doc
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
pango-querymodules > /etc/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%defattr(0755, root, root)
%{_bindir}/pango-querymodules
%{_sysconfdir}/pango
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/gtk-doc/html/pango
%dir %{_libdir}/pango
%dir %{_libdir}/pango/1.4.0
%dir %{_libdir}/pango/1.4.0/modules
%{_libdir}/pango/1.4.0/modules/*.so
%{_mandir}/man1/pango-querymodules.1.gz

%files devel
%defattr(0755, root, root)
%{_libdir}/pango/1.4.0/modules/*.la
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/pango-1.0

%changelog
* Mon Nov 14 2005 Ajith Thampi <ajith at trustix dot org> 1.8.2-2tr
- Fixed -devel Requires.
		
* Wed Jul 27 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.8.2-1tr
- New Upstream
  Added Support for Khmer
  Includes fix for a crash with PangoLayoutIter.

* Fri Jul 08 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.8.1-3tr
- Fixed %post scriptlet failure.

* Wed Apr 27 2005 Raghu <raghu at comodo dot com> 1.8.1-1tr
- New Upstream

* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.2.5-14tr
- Changed Group to Trustix Official

* Thu Oct 14 2004 Nageswara Sastry <nageswara at comodo dot com>
- Rebuilt for TSL-2.2
- Applied Freetype Patch

* Tue May  4 2004 Morten Nilsen <morten@nilsen.com>
- Add dependency on libfreetype-devel to the -devel package

* Sat Mar  6 2004 Morten Nilsen <morten@nilsen.com>
- Add buildrequires, small cleanup of spec

* Tue Feb 24 2004 Morten Nilsen <morten@nilsen.com>
- Rebuild for TSL 2.1, cleanup

* Mon Oct 20 2003 Morten Nilsen <morten@nilsen.com>
- iconv, go away

* Wed Aug 27 2003 Morten Nilsen <morten@nilsen.com>
- Initial build for trustix
